# Documents

This object allows you to add or create documents related to a borrower. There are multiple ways to use document object:
  - Render a document from a Peach template. For example, loan terms or Autopay agreement.
  - Upload any type of file. For example, a PDF copy of borrower's driver license.
  - Documents can also be used to render a legal disclosure from Peach template.

To create a new document there are two steps:
  1. Create a document descriptor.
  2. Upload document content/file.

When a new document is rendered from the template you just need to complete step #1.


## Create new document via link

 - [POST /document-uploads/{documentUploadLinkKey}/documents](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.documents_via_links.create_document_via_link.md)

## Upload document content via link

 - [POST /document-uploads/{documentUploadLinkKey}/documents/{documentDescriptorId}/content](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.documents_via_links.upload_document_content_via_link.md)

## Get document upload links

 - [GET /people/{personId}/document-upload-links](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.document_upload_links.get_document_upload_links.md)

## Create document upload link

 - [POST /people/{personId}/document-upload-links](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.document_upload_links.create_document_upload_link.md)

## Get doc upload link by ID

 - [GET /people/{personId}/document-upload-links/{documentUploadLinkId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.document_upload_links.get_document_upload_link.md)

## Get document descriptors

 - [GET /people/{personId}/documents](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.list_person_documents.md)

## Create new document descriptor

 - [POST /people/{personId}/documents](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.create_person_document.md)

## Delete document

 - [DELETE /people/{personId}/documents/{documentDescriptorId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.delete_document.md)

## Get document descriptor by ID

 - [GET /people/{personId}/documents/{documentDescriptorId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.get_person_document.md)

## Update document descriptor

 - [PUT /people/{personId}/documents/{documentDescriptorId}](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.update_person_document.md)

## Download document content

 - [GET /people/{personId}/documents/{documentDescriptorId}/content](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.download_person_document_content.md)

## Upload document content

 - [POST /people/{personId}/documents/{documentDescriptorId}/content](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.upload_person_document_content.md)

## Convert document to the specified format

 - [POST /people/{personId}/documents/{documentDescriptorId}/convert](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.convert_person_document.md)

## Digitally sign document

 - [POST /people/{personId}/documents/{documentDescriptorId}/sign](https://docs.peachfinance.com/api-docs/api-public/documents/peach.docustore.handlers.sign_person_pdf_document.md)

